{% extends 'base.html' %}
{% load static %}
{% block contant %}
      <!-- Page Header -->
  <header class="masthead" style="background-image: url({% static 'img/home-bg.jpg' %})">
    <div class="overlay"></div>
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
          <div class="site-heading">
            <h1>Clean Blog</h1>
            <span class="subheading">A Blog Theme by Start Bootstrap</span>
          </div>
        </div>
      </div>
    </div>
  </header>

    <!-- Main Content -->
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        <div class="post-preview">
              {% block alert %}{% endblock %}
                
            {% for articles in page_obj %}

             <a href="{% url 'blog:detail' articles.slug %}">
                <h2 class="post-title">
                    {{articles.title}}
                    {% if articles.is_special %}
                        <span class="badge badge-danger" style="font-size:12px;">ویژه</span>
                    {% endif %}
                </h2>
               <h3 class="post-subtitle">
                 {{ articles.descriptions|striptags|truncatewords:30 }}
               </h3>
             </a>
              <p class="post-meta">نشوته شده توسط
              <a href="{% url 'blog:author' articles.author %}">{{ articles.author.get_full_name }}</a>
              {{ articles.jpu }}</p>
            </div>

             <div>
               {% for cat in articles.category.active %}
                   <a href="{% url 'blog:Category' cat.slug  %}">#{{ cat.title }}</a>
               {% endfor %}
             </div>


            <hr>

            {% endfor %}
                    <!-- Pager -->
            {% if is_paginated %}
                <div class="clearfix pager_bottom">
                    {% if page_obj.has_previous %}
                        <a class="btn btn-primary float-right ml-3"
                           href="{% block has_page %}{% endblock %}"> ←
                            پست های قدیمی </a>
                    {% endif %}

                    {% if page_obj.has_next %}
                        <a class="btn btn-primary float-right"
                           href="{% block nextpage %}{% endblock %}"> ← پست های
                            جدیدتر </a>
                    {% endif %}


                </div>

            {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}